diff --git a/python/mozbuild/mozbuild/sphinx.py b/python/mozbuild/mozbuild/sphinx.py
index 0f8e22ca15..8369324b44 100644
--- a/python/mozbuild/mozbuild/sphinx.py
+++ b/python/mozbuild/mozbuild/sphinx.py
@@ -2,14 +2,13 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from __future__ import absolute_import
 
 import importlib
 import os
 import sys
 
-from sphinx.util.compat import Directive
-from sphinx.util.docstrings import prepare_docstring
+from .sphinx.util.compat import Directive
+from .sphinx.util.docstrings import prepare_docstring
 
 
 def function_reference(f, attr, args, doc):
diff --git a/python/mozbuild/mozbuild/test/action/test_buildlist.py b/python/mozbuild/mozbuild/test/action/test_buildlist.py
index 9c2631812d..b711f114e3 100644
--- a/python/mozbuild/mozbuild/test/action/test_buildlist.py
+++ b/python/mozbuild/mozbuild/test/action/test_buildlist.py
@@ -34,17 +34,17 @@ class TestBuildList(unittest.TestCase):
     """Assert that the lines in the file |filename| are equal
     to the contents of the list |l|, in order."""
     l = l[:]
-    f = open(filename, 'r')
+    f = open(filename)
     lines = [line.rstrip() for line in f.readlines()]
     f.close()
     for line in lines:
-      self.assert_(len(l) > 0,
-                   "ran out of expected lines! (expected '{0}', got '{1}')"
+      self.assertTrue(len(l) > 0,
+                   "ran out of expected lines! (expected '{}', got '{}')"
                    .format(l, lines))
       self.assertEqual(line, l.pop(0))
-    self.assert_(len(l) == 0, 
-                 "not enough lines in file! (expected '{0}',"
-                 " got '{1}'".format(l, lines))
+    self.assertTrue(len(l) == 0, 
+                 "not enough lines in file! (expected '{}',"
+                 " got '{}'".format(l, lines))
 
   def test_basic(self):
     "Test that addEntriesToListFile works when file doesn't exist."
diff --git a/python/mozbuild/mozbuild/test/action/test_generate_browsersearch.py b/python/mozbuild/mozbuild/test/action/test_generate_browsersearch.py
index 4c7f5635e7..91bde4ce50 100644
--- a/python/mozbuild/mozbuild/test/action/test_generate_browsersearch.py
+++ b/python/mozbuild/mozbuild/test/action/test_generate_browsersearch.py
@@ -1,9 +1,6 @@
-# -*- coding: utf-8 -*-
-
 # Any copyright is dedicated to the Public Domain.
 # http://creativecommons.org/publicdomain/zero/1.0/
 
-from __future__ import unicode_literals
 
 import json
 import os
@@ -43,8 +40,8 @@ class TestGenerateBrowserSearch(unittest.TestCase):
 
     def test_valid_unicode(self):
         o = self._test_one('valid-zh-CN')
-        self.assertEquals(o['default'], '百度')
-        self.assertEquals(o['engines'], ['百度', 'Google'])
+        self.assertEqual(o['default'], '百度')
+        self.assertEqual(o['engines'], ['百度', 'Google'])
 
     def test_invalid_unicode(self):
         with self.assertRaises(UnicodeDecodeError):
diff --git a/python/mozbuild/mozbuild/test/action/test_package_fennec_apk.py b/python/mozbuild/mozbuild/test/action/test_package_fennec_apk.py
index 5b77608366..902df88c5b 100644
--- a/python/mozbuild/mozbuild/test/action/test_package_fennec_apk.py
+++ b/python/mozbuild/mozbuild/test/action/test_package_fennec_apk.py
@@ -1,9 +1,6 @@
-# -*- coding: utf-8 -*-
-
 # Any copyright is dedicated to the Public Domain.
 # http://creativecommons.org/publicdomain/zero/1.0/
 
-from __future__ import unicode_literals
 
 import os
 import unittest
@@ -41,14 +38,14 @@ class TestPackageFennecAPK(unittest.TestCase):
                          root_files=[data('root_file.txt')])
 
         # omni.ja ends up in assets/omni.ja.
-        self.assertEquals(jarrer['assets/omni.ja'].open().read().strip(), 'omni.ja')
+        self.assertEqual(jarrer['assets/omni.ja'].open().read().strip(), 'omni.ja')
 
         # Everything else is in place.
         for name in ('classes.dex',
                      'assets/asset.txt',
                      'lib/lib.txt',
                      'root_file.txt'):
-            self.assertEquals(jarrer[name].open().read().strip(), name)
+            self.assertEqual(jarrer[name].open().read().strip(), name)
 
     def test_inputs(self):
         # Language repacks take updated resources from an ap_ and pack them
@@ -57,8 +54,8 @@ class TestPackageFennecAPK(unittest.TestCase):
         # overrides the first.
         jarrer = package(inputs=[data('input2.apk'), data('input1.ap_')])
 
-        files1 = JarReader(data('input1.ap_')).entries.keys()
-        files2 = JarReader(data('input2.apk')).entries.keys()
+        files1 = list(JarReader(data('input1.ap_')).entries.keys())
+        files2 = list(JarReader(data('input2.apk')).entries.keys())
         for name in files2:
             self.assertTrue(name in files1 or
                             jarrer[name].open().read().startswith('input2/'))
diff --git a/python/mozbuild/mozbuild/test/backend/common.py b/python/mozbuild/mozbuild/test/backend/common.py
index 85ccb10378..ba686c1edd 100644
--- a/python/mozbuild/mozbuild/test/backend/common.py
+++ b/python/mozbuild/mozbuild/test/backend/common.py
@@ -2,7 +2,6 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from __future__ import unicode_literals
 
 import os
 import unittest
diff --git a/python/mozbuild/mozbuild/test/backend/test_build.py b/python/mozbuild/mozbuild/test/backend/test_build.py
index d6111d85f7..39b53a277d 100644
--- a/python/mozbuild/mozbuild/test/backend/test_build.py
+++ b/python/mozbuild/mozbuild/test/backend/test_build.py
@@ -2,8 +2,8 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from __future__ import unicode_literals, print_function
 
+from __future__ import print_function
 import buildconfig
 import os
 import shutil
@@ -70,11 +70,11 @@ class TestBuild(unittest.TestCase):
         try:
             yield handle_make_line
         except:
-            print('\n'.join(lines))
+            print(('\n'.join(lines)))
             raise
 
         if os.environ.get('MOZ_VERBOSE_MAKE'):
-            print('\n'.join(lines))
+            print(('\n'.join(lines)))
 
     def test_recursive_make(self):
         substs = list(BASE_SUBSTS)
diff --git a/python/mozbuild/mozbuild/test/backend/test_configenvironment.py b/python/mozbuild/mozbuild/test/backend/test_configenvironment.py
index 95593e1869..7f233372af 100644
--- a/python/mozbuild/mozbuild/test/backend/test_configenvironment.py
+++ b/python/mozbuild/mozbuild/test/backend/test_configenvironment.py
@@ -29,7 +29,7 @@ class ConfigEnvironment(ConfigStatus.ConfigEnvironment):
             self.substs = ReadOnlyDict(d)
 
             d = dict(self.substs_unicode)
-            d[u'top_srcdir'] = top_srcdir.decode('utf-8')
+            d['top_srcdir'] = top_srcdir.decode('utf-8')
             self.substs_unicode = ReadOnlyDict(d)
 
 
diff --git a/python/mozbuild/mozbuild/test/backend/test_recursivemake.py b/python/mozbuild/mozbuild/test/backend/test_recursivemake.py
index a592ab55a3..0e3c2ecbb4 100644
--- a/python/mozbuild/mozbuild/test/backend/test_recursivemake.py
+++ b/python/mozbuild/mozbuild/test/backend/test_recursivemake.py
@@ -2,9 +2,8 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from __future__ import unicode_literals
 
-import cPickle as pickle
+import six.moves.cPickle as pickle
 import json
 import os
 import unittest
@@ -24,6 +23,7 @@ from mozbuild.frontend.reader import BuildReader
 from mozbuild.test.backend.common import BackendTester
 
 import mozpack.path as mozpath
+import six
 
 
 class TestRecursiveMakeTraversal(unittest.TestCase):
@@ -57,7 +57,7 @@ class TestRecursiveMakeTraversal(unittest.TestCase):
         traversal.add('W', dirs=['X'])
         traversal.add('X')
 
-        parallels = set(('G', 'H', 'I', 'J', 'O', 'P', 'Q', 'R', 'U'))
+        parallels = {'G', 'H', 'I', 'J', 'O', 'P', 'Q', 'R', 'U'}
         def filter(current, subdirs):
             return (current, [d for d in subdirs.dirs if d in parallels],
                 [d for d in subdirs.dirs if d not in parallels])
@@ -186,7 +186,7 @@ class TestRecursiveMakeBackend(BackendTester):
 
         p = mozpath.join(env.topobjdir, 'Makefile')
 
-        lines = [l.strip() for l in open(p, 'rt').readlines()[1:] if not l.startswith('#')]
+        lines = [l.strip() for l in open(p).readlines()[1:] if not l.startswith('#')]
         self.assertEqual(lines, [
             'DEPTH := .',
             'topobjdir := %s' % env.topobjdir,
@@ -208,7 +208,7 @@ class TestRecursiveMakeBackend(BackendTester):
         p = mozpath.join(env.topobjdir, 'dir2', 'Makefile')
         self.assertTrue(os.path.exists(p))
 
-        lines = [l.strip() for l in open(p, 'rt').readlines()]
+        lines = [l.strip() for l in open(p).readlines()]
         self.assertEqual(len(lines), 10)
 
         self.assertTrue(lines[0].startswith('# THIS FILE WAS AUTOMATICALLY'))
@@ -219,7 +219,7 @@ class TestRecursiveMakeBackend(BackendTester):
 
         p = mozpath.join(env.topobjdir, 'backend.mk')
 
-        lines = [l.strip() for l in open(p, 'rt').readlines()[2:]]
+        lines = [l.strip() for l in open(p).readlines()[2:]]
         self.assertEqual(lines, [
             'DIRS := dir1 dir2',
         ])
@@ -230,7 +230,7 @@ class TestRecursiveMakeBackend(BackendTester):
         self._consume('stub0', RecursiveMakeBackend, env=env)
         p = mozpath.join(env.topobjdir, 'backend.mk')
 
-        lines = [l.strip() for l in open(p, 'rt').readlines()[2:]]
+        lines = [l.strip() for l in open(p).readlines()[2:]]
         self.assertEqual(lines, [
             'DIRS := dir1 dir2 dir3',
         ])
@@ -259,7 +259,7 @@ class TestRecursiveMakeBackend(BackendTester):
 
         p = mozpath.join(env.topobjdir, 'foo')
         self.assertTrue(os.path.exists(p))
-        lines = [l.strip() for l in open(p, 'rt').readlines()]
+        lines = [l.strip() for l in open(p).readlines()]
         self.assertEqual(lines, [
             'TEST = foo',
         ])
@@ -269,7 +269,7 @@ class TestRecursiveMakeBackend(BackendTester):
         env = self._consume('install_substitute_config_files', RecursiveMakeBackend)
 
         root_deps_path = mozpath.join(env.topobjdir, 'root-deps.mk')
-        lines = [l.strip() for l in open(root_deps_path, 'rt').readlines()]
+        lines = [l.strip() for l in open(root_deps_path).readlines()]
 
         # Make sure we actually recurse into the sub directory during export to
         # install the subst file.
@@ -280,7 +280,7 @@ class TestRecursiveMakeBackend(BackendTester):
         env = self._consume('variable_passthru', RecursiveMakeBackend)
 
         backend_path = mozpath.join(env.topobjdir, 'backend.mk')
-        lines = [l.strip() for l in open(backend_path, 'rt').readlines()[2:]]
+        lines = [l.strip() for l in open(backend_path).readlines()[2:]]
 
         expected = {
             'ALLOW_COMPILER_WARNINGS': [
@@ -341,7 +341,7 @@ class TestRecursiveMakeBackend(BackendTester):
         env = self._consume('sources', RecursiveMakeBackend)
 
         backend_path = mozpath.join(env.topobjdir, 'backend.mk')
-        lines = [l.strip() for l in open(backend_path, 'rt').readlines()[2:]]
+        lines = [l.strip() for l in open(backend_path).readlines()[2:]]
 
         expected = {
             'ASFILES': [
@@ -391,7 +391,7 @@ class TestRecursiveMakeBackend(BackendTester):
         env = self._consume('generated-files', RecursiveMakeBackend)
 
         backend_path = mozpath.join(env.topobjdir, 'backend.mk')
-        lines = [l.strip() for l in open(backend_path, 'rt').readlines()[2:]]
+        lines = [l.strip() for l in open(backend_path).readlines()[2:]]
 
         expected = [
             'export:: bar.c',
@@ -436,7 +436,7 @@ class TestRecursiveMakeBackend(BackendTester):
         # EXPORTS files that are also GENERATED_FILES should be handled as
         # INSTALL_TARGETS.
         backend_path = mozpath.join(env.topobjdir, 'backend.mk')
-        lines = [l.strip() for l in open(backend_path, 'rt').readlines()[2:]]
+        lines = [l.strip() for l in open(backend_path).readlines()[2:]]
         expected = [
             'export:: bar.h',
             'GARBAGE += bar.h',
@@ -517,7 +517,7 @@ class TestRecursiveMakeBackend(BackendTester):
         self.assertTrue(os.path.exists(m_master))
         self.assertTrue(os.path.exists(x_master))
 
-        lines = [l.strip() for l in open(x_master, 'rt').readlines()]
+        lines = [l.strip() for l in open(x_master).readlines()]
         self.assertEqual(lines, [
             '; THIS FILE WAS AUTOMATICALLY GENERATED. DO NOT MODIFY BY HAND.',
             '',
@@ -555,13 +555,13 @@ class TestRecursiveMakeBackend(BackendTester):
         self.assertTrue(os.path.exists(all_tests_path))
         test_installs_path = mozpath.join(env.topobjdir, 'test-installs.pkl')
 
-        with open(test_installs_path, 'r') as fh:
+        with open(test_installs_path) as fh:
             test_installs = pickle.load(fh)
 
         self.assertEqual(set(test_installs.keys()),
-                         set(['child/test_sub.js',
+                         {'child/test_sub.js',
                               'child/data/**',
-                              'child/another-file.sjs']))
+                              'child/another-file.sjs'})
         for key in test_installs.keys():
             self.assertIn(key, test_installs)
 
@@ -661,7 +661,7 @@ class TestRecursiveMakeBackend(BackendTester):
 
         manifest_path = mozpath.join(env.topobjdir,
             'ipc', 'ipdl', 'ipdlsrcs.mk')
-        lines = [l.strip() for l in open(manifest_path, 'rt').readlines()]
+        lines = [l.strip() for l in open(manifest_path).readlines()]
 
         # Handle Windows paths correctly
         topsrcdir = env.topsrcdir.replace(os.sep, '/')
@@ -669,7 +669,7 @@ class TestRecursiveMakeBackend(BackendTester):
         expected = [
             "ALL_IPDLSRCS := bar1.ipdl foo1.ipdl %s/bar/bar.ipdl %s/bar/bar2.ipdlh %s/foo/foo.ipdl %s/foo/foo2.ipdlh" % tuple([topsrcdir] * 4),
             "CPPSRCS := UnifiedProtocols0.cpp",
-            "IPDLDIRS := %s/ipc/ipdl %s/bar %s/foo" % (env.topobjdir, topsrcdir, topsrcdir),
+            "IPDLDIRS := {}/ipc/ipdl {}/bar {}/foo".format(env.topobjdir, topsrcdir, topsrcdir),
         ]
 
         found = [str for str in lines if str.startswith(('ALL_IPDLSRCS',
@@ -682,7 +682,7 @@ class TestRecursiveMakeBackend(BackendTester):
         env = self._consume('defines', RecursiveMakeBackend)
 
         backend_path = mozpath.join(env.topobjdir, 'backend.mk')
-        lines = [l.strip() for l in open(backend_path, 'rt').readlines()[2:]]
+        lines = [l.strip() for l in open(backend_path).readlines()[2:]]
 
         var = 'DEFINES'
         defines = [val for val in lines if val.startswith(var)]
@@ -695,7 +695,7 @@ class TestRecursiveMakeBackend(BackendTester):
         env = self._consume('host-defines', RecursiveMakeBackend)
 
         backend_path = mozpath.join(env.topobjdir, 'backend.mk')
-        lines = [l.strip() for l in open(backend_path, 'rt').readlines()[2:]]
+        lines = [l.strip() for l in open(backend_path).readlines()[2:]]
 
         var = 'HOST_DEFINES'
         defines = [val for val in lines if val.startswith(var)]
@@ -708,7 +708,7 @@ class TestRecursiveMakeBackend(BackendTester):
         env = self._consume('local_includes', RecursiveMakeBackend)
 
         backend_path = mozpath.join(env.topobjdir, 'backend.mk')
-        lines = [l.strip() for l in open(backend_path, 'rt').readlines()[2:]]
+        lines = [l.strip() for l in open(backend_path).readlines()[2:]]
 
         expected = [
             'LOCAL_INCLUDES += -I$(srcdir)/bar/baz',
@@ -723,7 +723,7 @@ class TestRecursiveMakeBackend(BackendTester):
         env = self._consume('generated_includes', RecursiveMakeBackend)
 
         backend_path = mozpath.join(env.topobjdir, 'backend.mk')
-        lines = [l.strip() for l in open(backend_path, 'rt').readlines()[2:]]
+        lines = [l.strip() for l in open(backend_path).readlines()[2:]]
 
         topobjdir = env.topobjdir.replace('\\', '/')
 
@@ -758,9 +758,9 @@ class TestRecursiveMakeBackend(BackendTester):
         expected[mozpath.join(env.topobjdir, 'final-target')] = [
             'FINAL_TARGET = $(DEPTH)/random-final-target'
         ]
-        for key, expected_rules in expected.iteritems():
+        for key, expected_rules in expected.items():
             backend_path = mozpath.join(key, 'backend.mk')
-            lines = [l.strip() for l in open(backend_path, 'rt').readlines()[2:]]
+            lines = [l.strip() for l in open(backend_path).readlines()[2:]]
             found = [str for str in lines if
                 str.startswith('FINAL_TARGET') or str.startswith('XPI_NAME') or
                 str.startswith('DIST_SUBDIR')]
@@ -771,7 +771,7 @@ class TestRecursiveMakeBackend(BackendTester):
         env = self._consume('dist-files', RecursiveMakeBackend)
 
         backend_path = mozpath.join(env.topobjdir, 'backend.mk')
-        lines = [l.strip() for l in open(backend_path, 'rt').readlines()[2:]]
+        lines = [l.strip() for l in open(backend_path).readlines()[2:]]
 
         expected = [
             'DIST_FILES_0 += $(srcdir)/install.rdf',
@@ -789,7 +789,7 @@ class TestRecursiveMakeBackend(BackendTester):
         env = self._consume('test_config', RecursiveMakeBackend)
 
         self.assertEqual(
-            open(os.path.join(env.topobjdir, 'file'), 'r').readlines(), [
+            open(os.path.join(env.topobjdir, 'file')).readlines(), [
                 '#ifdef foo\n',
                 'bar baz\n',
                 '@bar@\n',
@@ -831,7 +831,7 @@ class TestRecursiveMakeBackend(BackendTester):
                            '--no-remove-empty-directories %s %s.manifest)'
         # Commands second.
         for project_name in ['main1', 'main2', 'library1', 'library2']:
-            stem = '%s/android_eclipse/%s' % (env.topobjdir, project_name)
+            stem = '{}/android_eclipse/{}'.format(env.topobjdir, project_name)
             self.assertIn(command_template % (stem, stem), lines)
 
         # Projects declared in subdirectories.
@@ -844,7 +844,7 @@ class TestRecursiveMakeBackend(BackendTester):
 
         for project_name in ['submain', 'sublibrary']:
             # Destination and install manifest are relative to topobjdir.
-            stem = '%s/android_eclipse/%s' % (env.topobjdir, project_name)
+            stem = '{}/android_eclipse/{}'.format(env.topobjdir, project_name)
             self.assertIn(command_template % (stem, stem), lines)
 
     def test_install_manifests_package_tests(self):
diff --git a/python/mozbuild/mozbuild/test/common.py b/python/mozbuild/mozbuild/test/common.py
index 76a39b3138..854e1c8c61 100644
--- a/python/mozbuild/mozbuild/test/common.py
+++ b/python/mozbuild/mozbuild/test/common.py
@@ -2,7 +2,6 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from __future__ import unicode_literals
 
 from mach.logging import LoggingManager
 
@@ -17,7 +16,7 @@ log_manager.add_terminal_logging()
 
 # mozconfig is not a reusable type (it's actually a module) so, we
 # have to mock it.
-class MockConfig(object):
+class MockConfig:
     def __init__(self,
                  topsrcdir='/path/to/topsrcdir',
                  extra_substs={},
diff --git a/python/mozbuild/mozbuild/test/configure/common.py b/python/mozbuild/mozbuild/test/configure/common.py
index 5ce04e6091..7bfd819e2c 100644
--- a/python/mozbuild/mozbuild/test/configure/common.py
+++ b/python/mozbuild/mozbuild/test/configure/common.py
@@ -2,7 +2,6 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from __future__ import absolute_import, print_function, unicode_literals
 
 import copy
 import errno
@@ -37,9 +36,9 @@ def ensure_exe_extension(path):
     return path
 
 
-class ConfigureTestVFS(object):
+class ConfigureTestVFS:
     def __init__(self, paths):
-        self._paths = set(mozpath.abspath(p) for p in paths)
+        self._paths = {mozpath.abspath(p) for p in paths}
 
     def exists(self, path):
         path = mozpath.abspath(path)
@@ -78,10 +77,10 @@ class ConfigureTestSandbox(ConfigureSandbox):
         self._search_path = environ.get('PATH', '').split(os.pathsep)
 
         self._subprocess_paths = {
-            mozpath.abspath(k): v for k, v in paths.iteritems() if v
+            mozpath.abspath(k): v for k, v in paths.items() if v
         }
 
-        paths = paths.keys()
+        paths = list(paths.keys())
 
         environ = dict(environ)
         if 'CONFIG_SHELL' not in environ:
@@ -100,7 +99,7 @@ class ConfigureTestSandbox(ConfigureSandbox):
 
         self.imported_os = ReadOnlyNamespace(path=ReadOnlyNamespace(**os_path))
 
-        super(ConfigureTestSandbox, self).__init__(config, environ, *args,
+        super().__init__(config, environ, *args,
                                                    **kwargs)
 
     def _get_one_import(self, what):
@@ -136,7 +135,7 @@ class ConfigureTestSandbox(ConfigureSandbox):
             )
 
         if what == 'ctypes':
-            class CTypesFunc(object):
+            class CTypesFunc:
                 def __init__(self, func):
                     self._func = func
 
@@ -155,17 +154,17 @@ class ConfigureTestSandbox(ConfigureSandbox):
 
         if what == '_winreg':
             def OpenKey(*args, **kwargs):
-                raise WindowsError()
+                raise OSError()
 
             return ReadOnlyNamespace(
                 HKEY_LOCAL_MACHINE=0,
                 OpenKey=OpenKey,
             )
 
-        return super(ConfigureTestSandbox, self)._get_one_import(what)
+        return super()._get_one_import(what)
 
     def create_unicode_buffer(self, *args, **kwargs):
-        class Buffer(object):
+        class Buffer:
             def __init__(self):
                 self.value = ''
 
@@ -192,7 +191,7 @@ class ConfigureTestSandbox(ConfigureSandbox):
         func = self._subprocess_paths.get(program)
         retcode, stdout, stderr = func(stdin, args[1:])
 
-        class Process(object):
+        class Process:
             def communicate(self, stdin=None):
                 return stdout, stderr
 
diff --git a/python/mozbuild/mozbuild/test/configure/lint.py b/python/mozbuild/mozbuild/test/configure/lint.py
index 9965a60e9d..f97caa34fa 100644
--- a/python/mozbuild/mozbuild/test/configure/lint.py
+++ b/python/mozbuild/mozbuild/test/configure/lint.py
@@ -2,7 +2,6 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from __future__ import absolute_import, print_function, unicode_literals
 
 import os
 import unittest
@@ -14,6 +13,7 @@ from buildconfig import (
 )
 
 from mozbuild.configure.lint import LintSandbox
+import six
 
 
 test_path = os.path.abspath(__file__)
@@ -42,9 +42,7 @@ class LintMeta(type):
         return type.__new__(mcs, name, bases, attrs)
 
 
-class Lint(unittest.TestCase):
-    __metaclass__ = LintMeta
-
+class Lint(six.with_metaclass(LintMeta, unittest.TestCase)):
     def setUp(self):
         self._curdir = os.getcwd()
         os.chdir(topobjdir)
